View Issue Details

IDProjectCategoryView StatusLast Update
0007356GNUnetmysql librarypublic2022-09-29 06:47
Reporterschanzen Assigned Toschanzen  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.17.7Fixed in Version0.17.7 
Summary0007356: Mysql detection on debian fails
DescriptionThe (overly complex) detection of mysql fails on debian:

n file included from conftest.c:130:
/usr/include/mysql/mysql_version.h:3:2: warning: #warning This file should not be included by clients, include only <mysql.h> [-Wcpp]
    3 | #warning This file should not be included by clients, include only <mysql.h>
      | ^~~~~~~
/usr/include/mysql/mysql_version.h:5:10: fatal error: mariadb_version.h: No such file or directory
    5 | #include <mariadb_version.h>
      | ^~~~~~~~~~~~~~~~~~~
compilation terminated.


It works on fedora and I have idea why the check is so complex. Maybe we should simplify the check and deprecate old or unusual versions. We do not have the systems and setups to check for all of this anyway.
TagsNo tags attached.

Activities

schanzen

2022-09-29 06:47

administrator   ~0019196

Previous commit seems to have fixed the issue.

Related Changesets

gnunet: master f7a9e419

2022-09-29 08:45

schanzen


Details Diff
BUILD: Fix mysql detection issue 0007356 Affected Issues
0007356
mod - configure.ac Diff File

Issue History

Date Modified Username Field Change
2022-09-10 15:27 schanzen New Issue
2022-09-10 15:27 schanzen Status new => assigned
2022-09-10 15:27 schanzen Assigned To => Christian Grothoff
2022-09-10 15:27 schanzen Target Version => 0.17.6
2022-09-26 05:02 schanzen Target Version 0.17.6 => 0.17.7
2022-09-29 06:45 schanzen Changeset attached => gnunet master f7a9e419
2022-09-29 06:47 schanzen Assigned To Christian Grothoff => schanzen
2022-09-29 06:47 schanzen Status assigned => resolved
2022-09-29 06:47 schanzen Resolution open => fixed
2022-09-29 06:47 schanzen Fixed in Version => 0.17.7
2022-09-29 06:47 schanzen Note Added: 0019196